##### 7.5.16.0. is_cenBimodule

Procedure from library `nchomolog.lib` (see nchomolog_lib).

Usage:
  is_cenBimodule(M); M module

Compute:
  1, if a module, presented by M can be centralizing in the sense of Artin and 0 otherwise

Note:
  only one condition for centralizing factor module can be checked algorithmically

Example:

    LIB "nchomolog.lib";
    def A = makeUsl2(); setring A;
    poly p = 4*e*f + h^2-2*h; // generator of the center
    matrix M[2][2] = p, p^2-7,0,p*(p+1);
    is_cenBimodule(M); // M is centralizing
    ==> 1
    matrix N[2][2] = p, e*f,h,p*(p+1);
    is_cenBimodule(N); // N is not centralizing
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.